
//
//  Bench.cpp - SDK Version
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to work with the exercises for this book.
//
//  Created - 22 Apr 2003 - James Leiterman
//
//  Last Modification
//
//
//  stab=4
//



#include "KariType.h"                                   // Master Definitions

    //  3rd Party Libraries

#define STRICT

#include <windows.h>
#include <commctrl.h>
#include <stdio.h>
#include <math.h>
#include <d3dx9.h>





//
//	Root Entry Point
//

int WINAPI WinMain( HINSTANCE hInst, HINSTANCE, LPSTR, int )
{
	IDirect3D9	*m_pD3D;

    InitCommonControls();

	// Create the Direct3D object
	//
	// NOTE: - DirectX SDK version 9 MUST be installed!

	m_pD3D = Direct3DCreate9( D3D_SDK_VERSION );
	if ( NULL == m_pD3D )
	{
		MessageBox( NULL, "Couldn't initialize Direct 3D System!", "SDKVersion", MB_ICONSTOP | MB_TOPMOST );
		return -1;
	}

	MessageBox( NULL, "DirectX 3D Initialization successful!", "SDKVersion", MB_ICONINFORMATION | MB_TOPMOST );
	m_pD3D->Release();
	m_pD3D = NULL;

	return 0;
}

